AWS RDS + CYBERPANEL — CyberPanel - WebHosting Control Panel for OpenLiteSpeed

AWS RDS + CYBERPANEL

Has anybody successfully installed cyberpanel 2.0.2 with AWS RDS?

I keep getting these errors:

[08.09.2020_04-56-52] ########################################################## ###############

[08.09.2020_04-56-52] Running: /usr/local/CyberPanel/bin/python manage.py makemi grations

[08.09.2020_04-56-52] ########################################################## ###############

Traceback (most recent call last):
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/bas e/base.py", line 220, in ensure_connection
self.connect()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.p y", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/bas e/base.py", line 197, in connect
self.connection = self.get_new_connection(conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/asyncio.p y", line 26, in inner
return func(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mys ql/base.py", line 233, in get_new_connection
return Database.connect(**conn_params)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/__init__.py", line 84, in Connect
return Connection(*args, **kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/MySQLdb/connections.py ", line 179, in __init__
super(Connection, self).__init__(*args, **kwargs2)
MySQLdb._exceptions.OperationalError: (2059, "Authentication plugin 'sha256_pass word' cannot be loaded: /usr/lib64/mysql/plugin/sha256_password.so: cannot open shared object file: No such file or directory")

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "manage.py", line 22, in <module>
execute_from_command_line(sys.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management /__init__.py", line 401, in execute_from_command_line
utility.execute()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management /__init__.py", line 395, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management /base.py", line 328, in run_from_argv
self.execute(*args, **cmd_options)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management /base.py", line 366, in execute
self.check()
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management /base.py", line 395, in check
include_deployment_checks=include_deployment_checks,
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/management /base.py", line 382, in _run_checks
return checks.run_checks(**kwargs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/reg istry.py", line 72, in run_checks
new_errors = check(app_configs=app_configs)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/core/checks/mod el_checks.py", line 34, in check_all_models
errors.extend(model.check(**kwargs))
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base. py", line 1274, in check
*cls._check_constraints(),
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/models/base. py", line 1840, in _check_constraints
connection.features.supports_table_check_constraints or
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/utils/functiona l.py", line 48, in __get__
res = instance.__dict__[self.name] = self.func(instance)
File "/usr/local/CyberPanel/lib/python3.6/site-packages/django/db/backends/mys ql/features.py", line 93, in supports_column_check_constraints
if self.connection.mysql_is_mariadb:

Comments

Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!